Package org.springframework.web.servlet.view

# Interface AbstractCachingViewResolver.CacheFilter

Enclosing class:
  AbstractCachingViewResolver

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface AbstractCachingViewResolver.CacheFilter
Filter that determines if view should be cached.

Since:
  5.2
Author:
  Sergey Galkin, Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filter(View view, String viewName, Locale locale)`
Indicates whether the given view should be cached.

## Method Details

### filter

boolean filter(View view, String viewName, Locale locale)
Indicates whether the given view should be cached. The name and locale used to resolve the view are also provided.

Parameters:
  `view` - the view
  `viewName` - the name used to resolve the `view`
  `locale` - the locale used to resolve the `view`
Returns:
  `true` if the view should be cached; `false` otherwise